% ==================================================
% Check_Arc_Code
% CBP 31-07-23
% Calcs params for CBP_2403_D_ArcTest_1.ino
% ==================================================
  % 'defines'
  axleLen = 116.0
  wheelDiam = 66.0;
  wheelRad = wheelDiam/2;

  dx = wheelRad*2*pi/64

  % Describe the desired arc
  desRadius = 300;
  desDegrees = 90.0;
  desTheta = desDegrees*(pi/180.0);

  driveL = 40;

  % Calc the desired steps, first in floats
  nLf = (desRadius - axleLen/2.0)*desTheta/dx;
  nRf = (desRadius + axleLen/2.0)*desTheta/dx;
  nL = ceil(nLf);
  nR = ceil(nRf);

  % Calc the drives so both motors run for the same time
  driveR = driveL * nRf / nLf;

  printf("\n(1) Desired steps = nL = %d, nR = %d\n",nL,nR);

  % actual steps reported by Arduino
  nL = 117;
  nR = 173;
  printf("\n(2) Actual steps = nL = %d, nR = %d\n",nL,nR);

  % calc actual rad and angle
  actualR = (axleLen/2)*(nL + nR)/(nR - nL)
  a = axleLen/2;
  actualTheta = (nR - nL)*dx/(2*a);
  actualDegs = actualTheta*180/pi

  % calc corrections
  printf("\n(3) Calculating corrections\n");
  alpha = desDegrees/actualDegs
  beta = desRadius/actualR

  nR_new = 0.5*(nR*alpha*(1 + beta) + nL*alpha*(beta - 1))
  nL_new = 0.5*(nR*alpha*(beta - 1) + nL*alpha*(beta + 1))

  % check by calculating new rad and angle
  % calc actual rad and angle
  printf("\n(4) Calculating resulting rad and agle\n");

  newR = (axleLen/2)*(nL_new + nR_new)/(nR_new - nL_new)
  a = axleLen/2;
  newTheta = (nR_new - nL_new)*dx/(2*a);
  newDegs = newTheta*180/pi


