% ==================================================
% Check_Arc_Code_2
% CBP 01-08-23
% Calcs params for CBP_2403_D_ArcTest_1.ino
% Uses physical measurements of robot actual arc
% ==================================================
  % 'defines'
  % For Parallax
  axleLen = 115.0
  wheelDiam = 66.0;
  wheelRad = wheelDiam/2;

  % For ePuck
  axleLen = 0.053
  wheelRad = 0.0205;

  % Parallax
  dx = wheelRad*2*pi/64

  % ePuck
   dx = wheelRad*2*pi/1000

  % Describe the desired arc
  desRadius = 0.300;
  desDegrees = 90.0;
  desTheta = desDegrees*(pi/180.0);

  printf("\n(1) Desired R = %f, theta = %f\n",desRadius,desDegrees);

  % Calc the desired steps, first in floats
  nLf = (desRadius - axleLen/2.0)*desTheta/dx;
  nRf = (desRadius + axleLen/2.0)*desTheta/dx;
  nL = ceil(nLf);
  nR = ceil(nRf);

  printf("\n(2) Desired steps = nL = %d, nR = %d\n",nL,nR);

  % actual arc measured
  actualR = .3202;
  actualDegs = 86.5;

  printf("\n(3) Measured R = %f, theta = %f\n",actualR,actualDegs);

  % calc corrections
  printf("\n(4) Calculating corrections\n");
  alpha = desDegrees/actualDegs
  beta = desRadius/actualR

  nL_new = 0.5*(nRf*alpha*(beta - 1) + nLf*alpha*(beta + 1))
  nR_new = 0.5*(nRf*alpha*(1 + beta) + nLf*alpha*(beta - 1))

  % calc new rad and theta to give the new nL and nR values
  newR = (axleLen/2)*(nR_new + nL_new)/(nR_new - nL_new);
  newTheta = (180/pi)*(nR_new - nL_new)*dx/axleLen;

  printf("Calc of new R = %f, degs = %f\n",newR,newTheta);


