% =======================================================
% Model_TwoEyeTest_5_LDR.m
% CBP 14-08-23
% Vehicle 3 with intermediate neuron
% Modelling of motor neuron by shunting
% =======================================================

% inL1 and inR1 from LDR -------------------------------
A1 = [
0   940   902
1   942   895
4   941   881
6   940   856
8   937   835
10  931   803
12  925   763
14  913   700
16  894   650
18  880 620
-2  924   910
-4  910   916
-6  887   920
-8  860   923
-10 815   921
-12 780   917
-14   735   910
-16 640   865
-18 560   860
];



A = A1;

dist = A(:,1);
musL = A(:,2);
musR = A(:,3);

figure(1);
subplot(2,1,1);
plot(dist, musL, 'or',dist,musR,'og');
title('Raw muSL and muSR');

corrFactorL = 1000.0/948.0;
corrFactorR = 1000.0/923.0;
musR = musR * corrFactorR;
musL = musL * corrFactorL;

% Do below using neuron
musL = musL - 500;
musR = musR - 500;

subplot(2,1,2);
plot(dist, musL, 'o',dist,musR,'o');
title('Raw muSL and Corr muSR');

A = 250;
B = 100;

outL1 = 1.0 ./ (1 + exp(-(musL - A)/B));
outR1 = 1.0 ./ (1 + exp(-(musR- A)/B));

figure(2);
subplot(4,1,1);
plot(dist, outL1, 'o',dist,outR1,'o');
str = sprintf("outL1 and out L2 (A = %5.1f, B = %5.1f)",A,B);
title(str);

% Intermediate neurons
E = 0.5
F = 0.1
inL2 = outL1;
inR2 = outR1;
outIL = 1.0 ./ (1 + exp(-(inL2 - E)/F));
outIR = 1.0 ./ (1 + exp(-(inR2 - E)/F));

subplot(4,1,2);
plot(dist, outIL, 'o',dist,outIR,'o');
title('outIL and outIR');

% Could model motor neurons using shunting
inL2 = 50*outIL;
inR2 = 50*outIR;

subplot(4,1,3);
plot(dist, inL2, 'o',dist,inR2,'o');
title('inL1 and inL2');

% No need for a sigmoid, maybe but could add
% quasi-linear one
C = 25;
D = 7.5;
outL2 = 50.0 ./ (1 + exp(-(inL2 - C)/D));
outR2 = 50.0 ./ (1 + exp(-(inR2 - C)/D));

subplot(4,1,4);
plot(dist, outL2, 'o',dist,outR2,'o');
title('outL2 and outR2');
