% =================================================
% Plotit.m
% Vanilla data plot file
% =================================================

% Example data. First col is indep variable, second
% is dependent variable
A = [
25  3.19
30    16.1
35    1.79
20    0.11
40    0.55
29    9.25
31    10.1
26    16
27    7.6
33    6.9
26.5    11.2
25.5    7.35
28    16.4
28.5    12.6
29.5  11.2
32    14.6
34    3.0
23    0.48
];

indep = A(:,1);
dep = A(:,2);

plot(indep,dep,'o'); % remove " ,'o'  " to join up
% Replace text in ' ' with your text
xlabel('xlabel');
ylabel('ylabel');
title('title');
grid

hold on
line([min(indep),max(indep)],[max(dep)/2, max(dep)/2 ]);
hold off

xi = [min(indep):(max(indep) - min(indep))/100:max(indep)];
yi = interp1(indep,dep,xi,"cubic");
hold on;
plot(xi,yi,'linewidth',1.25);

hold off;
