% =============================================================================
function dudt=rhs_BBDrive_Test_5a(t,u)
%
% =============================================================================

global A B C D E F tau offset tonic inL inR maxDrive

dudt = zeros(6,1);

if(t <= 4)
  inL = 940;
  inR = 902;
elseif ((t > 4) && (t <= 8))
  inL = 931;
  inR = 803;
endif

  % Retinal layer
  dudt(1) = (-u(1) + inL - offset)/tau;
  dudt(2) = (-u(2) + inR - offset)/tau;

  outL1 = 1.0 / (1 + exp(-(u(1) - A)/B));
  outR1 = 1.0 / (1 + exp(-(u(2) - A)/B));

  % Intermediate layer - shunting inhibition
  dudt(5) = (-u(5) + tonic/(tonic + outL1))/tau;
  dudt(6) = (-u(6) + tonic/(tonic + outR1))/tau;

  outIL = 1.0 / (1 + exp(-(u(4) - E)/F));
  outIR = 1.0 / (1 + exp(-(u(5) - E)/F));

  % Motor neurons using shunting
  dudt(3) = (-u(3) + maxDrive*outIL)/tau;
  dudt(4) = (-u(4) + maxDrive*outIR)/tau;

  outL2 = maxDrive / (1 + exp(-(u(3) - C)/D));
  outR2 = maxDrive / (1 + exp(-(u(4) - C)/D));



